org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans

## Class RARequirements

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.services.xcep.beans.RARequirements

-     public class RARequirements
      extends Object

  Java class for RARequirements complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RARequirements">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="rASignatures" type="{http://www.w3.org/2001/XMLSchema}unsignedInt"/>
               <element name="rAEKUs" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}OIDReferenceCollection"/>
               <element name="rAPolicies" type="{http://schemas.microsoft
               .com/windows/pki/2009/01/enrollmentpolicy}OIDReferenceCollection"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected OIDReferenceCollection` | `raekUs`
    `protected OIDReferenceCollection` | `raPolicies`
    `protected long` | `raSignatures`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RARequirements()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `OIDReferenceCollection` | `getRAEKUs()` Gets the value of the raekUs property.
    `OIDReferenceCollection` | `getRAPolicies()` Gets the value of the raPolicies property.
    `long` | `getRASignatures()` Gets the value of the raSignatures property.
    `void` | `setRAEKUs(OIDReferenceCollection value)` Sets the value of the raekUs property.
    `void` | `setRAPolicies(OIDReferenceCollection value)` Sets the value of the raPolicies property.
    `void` | `setRASignatures(long value)` Sets the value of the raSignatures property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### raSignatures

          protected long raSignatures

    - #### raekUs

          protected OIDReferenceCollection raekUs

    - #### raPolicies

          protected OIDReferenceCollection raPolicies

  - ### Constructor Detail

    - #### RARequirements

          public RARequirements()

  - ### Method Detail

    - #### getRASignatures

          public long getRASignatures()

      Gets the value of the raSignatures property.

    - #### setRASignatures

          public void setRASignatures(long value)

      Sets the value of the raSignatures property.

    - #### getRAEKUs

          public OIDReferenceCollection getRAEKUs()

      Gets the value of the raekUs property.
      Returns:
        possible object is `OIDReferenceCollection`

    - #### setRAEKUs

          public void setRAEKUs(OIDReferenceCollection value)

      Sets the value of the raekUs property.
      Parameters:
        `value` - allowed object is `OIDReferenceCollection`

    - #### getRAPolicies

          public OIDReferenceCollection getRAPolicies()

      Gets the value of the raPolicies property.
      Returns:
        possible object is `OIDReferenceCollection`

    - #### setRAPolicies

          public void setRAPolicies(OIDReferenceCollection value)

      Sets the value of the raPolicies property.
      Parameters:
        `value` - allowed object is `OIDReferenceCollection`

Copyright © 2017 WSO2. All rights reserved.